Create or update the policy at one scope
curl --request PUT \
--url https://api.example.com/api/maintenance/policies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"catalog": "<string>",
"namespace": "",
"table": "",
"yaml": "<string>",
"spec": {},
"expected_version": 2
}
'import requests
url = "https://api.example.com/api/maintenance/policies"
payload = {
"catalog": "<string>",
"namespace": "",
"table": "",
"yaml": "<string>",
"spec": {},
"expected_version": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
catalog: '<string>',
namespace: '',
table: '',
yaml: '<string>',
spec: {},
expected_version: 2
})
};
fetch('https://api.example.com/api/maintenance/policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/maintenance/policies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'catalog' => '<string>',
'namespace' => '',
'table' => '',
'yaml' => '<string>',
'spec' => [
],
'expected_version' => 2
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/maintenance/policies"
payload := strings.NewReader("{\n \"catalog\": \"<string>\",\n \"namespace\": \"\",\n \"table\": \"\",\n \"yaml\": \"<string>\",\n \"spec\": {},\n \"expected_version\": 2\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.example.com/api/maintenance/policies")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"catalog\": \"<string>\",\n \"namespace\": \"\",\n \"table\": \"\",\n \"yaml\": \"<string>\",\n \"spec\": {},\n \"expected_version\": 2\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/maintenance/policies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"catalog\": \"<string>\",\n \"namespace\": \"\",\n \"table\": \"\",\n \"yaml\": \"<string>\",\n \"spec\": {},\n \"expected_version\": 2\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": {
"scope_type": "catalog",
"catalog": "<string>",
"namespace": "",
"table": ""
},
"spec": {},
"source_yaml": "<string>",
"locked": [
"<string>"
],
"version": 123,
"updated_by": "<string>",
"updated_at": "<string>"
}Iceberg maintenance
Create or update the policy at one scope
PUT
/
api
/
maintenance
/
policies
Create or update the policy at one scope
curl --request PUT \
--url https://api.example.com/api/maintenance/policies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"catalog": "<string>",
"namespace": "",
"table": "",
"yaml": "<string>",
"spec": {},
"expected_version": 2
}
'import requests
url = "https://api.example.com/api/maintenance/policies"
payload = {
"catalog": "<string>",
"namespace": "",
"table": "",
"yaml": "<string>",
"spec": {},
"expected_version": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
catalog: '<string>',
namespace: '',
table: '',
yaml: '<string>',
spec: {},
expected_version: 2
})
};
fetch('https://api.example.com/api/maintenance/policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/maintenance/policies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'catalog' => '<string>',
'namespace' => '',
'table' => '',
'yaml' => '<string>',
'spec' => [
],
'expected_version' => 2
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/maintenance/policies"
payload := strings.NewReader("{\n \"catalog\": \"<string>\",\n \"namespace\": \"\",\n \"table\": \"\",\n \"yaml\": \"<string>\",\n \"spec\": {},\n \"expected_version\": 2\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.example.com/api/maintenance/policies")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"catalog\": \"<string>\",\n \"namespace\": \"\",\n \"table\": \"\",\n \"yaml\": \"<string>\",\n \"spec\": {},\n \"expected_version\": 2\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/maintenance/policies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"catalog\": \"<string>\",\n \"namespace\": \"\",\n \"table\": \"\",\n \"yaml\": \"<string>\",\n \"spec\": {},\n \"expected_version\": 2\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": {
"scope_type": "catalog",
"catalog": "<string>",
"namespace": "",
"table": ""
},
"spec": {},
"source_yaml": "<string>",
"locked": [
"<string>"
],
"version": 123,
"updated_by": "<string>",
"updated_at": "<string>"
}Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
A policy for one scope, as JSON (spec: the portal, agents) or YAML.
Required string length:
1 - 128Maximum string length:
512Maximum string length:
256Maximum string length:
100000The version being edited; omit to create the scope's first policy.
Required range:
x >= 1Was this page helpful?

